import {ChangeDetectionStrategy, Component} from "@angular/core";
import {SharedAbstractPresentational} from "@app/shared/components/presentationals/shared-abstract/shared-abstract.presentational";
import {OAuth2Service} from "solidify-frontend";

@Component({
  selector: "dlcm-home-search-routable",
  templateUrl: "./home.presentational.html",
  styleUrls: ["./home.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class HomePresentational extends SharedAbstractPresentational {

  constructor(private oauthService: OAuth2Service) {
    super();
  }

  get token(): string {
    return this.oauthService.getAccessToken();
  }

  get claims(): any {
    return this.oauthService.getIdentityClaims();
  }
}
