import {ChangeDetectionStrategy, Component, OnInit} from "@angular/core";
import {SharedAbstractPresentational} from "@app/shared/components/presentationals/shared-abstract/shared-abstract.presentational";
import {OAuth2Service} from "solidify-frontend";

@Component({
  selector: "dlcm-login",
  templateUrl: "./login.presentational.html",
  styleUrls: ["./login.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class LoginPresentational extends SharedAbstractPresentational {

  constructor(private oauthService: OAuth2Service) {
    super();
  }

  login(): void {
    this.oauthService.initAuthorizationCodeFlow();
  }
}
