import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {DepositCreateRoutable} from "@app/features/deposit/components/routables/deposit-create/deposit-create.routable";
import {DepositDetailRoutable} from "@app/features/deposit/components/routables/deposit-detail/deposit-detail.routable";
import {DepositEditRoutable} from "@app/features/deposit/components/routables/deposit-edit/deposit-edit.routable";
import {DepositListRoutable} from "@app/features/deposit/components/routables/deposit-list/deposit-list.routable";
import {AppRoutesEnum, DepositRoutesEnum} from "@app/shared/enums/routes.enum";
import {TRANSLATE} from "solidify-frontend";


const routes: Routes = [
  {
    path: AppRoutesEnum.root,
    component: DepositListRoutable,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.list"),
    },
  },
  {
    path: DepositRoutesEnum.detail + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: DepositDetailRoutable,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.detail"),
    },
  },
  {
    path: DepositRoutesEnum.edit + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: DepositEditRoutable,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.edit"),
    },
  },
  {
    path: DepositRoutesEnum.create,
    component: DepositCreateRoutable,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.deposit.create"),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DepositRoutingModule {
}
