import {NgModule} from "@angular/core";
import {DepositFormPresentational} from "@app/features/deposit/components/presentationals/deposit-form/deposit-form.presentational";
import {DepositFileContainer} from "@app/features/deposit/components/containers/deposit-file/deposit-file.container";
import {DepositRoutingModule} from "@app/features/deposit/deposit-routing.module";
import {DepositDeleteDialog} from "@app/features/deposit/components/dialogs/deposit-delete/deposit-delete.dialog";
import {DepositFileDetailDialog} from "@app/features/deposit/components/dialogs/deposit-file-detail/deposit-file-detail.dialog";
import {DepositDataFileState} from "@app/features/deposit/stores/data-file/deposit-data-file.state";
import {DepositState} from "@app/features/deposit/stores/deposit.state";
import {DepositEditRoutable} from "@app/features/deposit/components/routables/deposit-edit/deposit-edit.routable";
import {DepositListRoutable} from "@app/features/deposit/components/routables/deposit-list/deposit-list.routable";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {DepositFileTreePresentational} from "./components/presentationals/deposit-file-tree/deposit-file-tree.presentational";
import {DepositFileUploadPresentational} from "./components/presentationals/deposit-file-upload/deposit-file-upload.presentational";
import {DepositCreateRoutable} from "./components/routables/deposit-create/deposit-create.routable";
import {DepositDetailRoutable} from "./components/routables/deposit-detail/deposit-detail.routable";

const views = [
  DepositListRoutable,
  DepositCreateRoutable,
  DepositDetailRoutable,
  DepositEditRoutable,
];
const containers = [
  DepositFileContainer,
];
const dialogs = [
  DepositDeleteDialog,
  DepositFileDetailDialog,
];
const components = [
  DepositFormPresentational,
];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...dialogs,
    ...components,
    DepositFileTreePresentational,
    DepositFileUploadPresentational,
  ],
  imports: [
    SharedModule,
    DepositRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      DepositState,
      DepositDataFileState,
    ]),
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...views,
  ],
  providers: [
  ],
})
export class DepositModule {
}
