import {Checksum} from "@app/features/deposit/models/checksum.model";
import {FileFormat} from "@app/features/deposit/models/file-format.model";
import {ChangeInfo, Deposits} from "@app/generated-api";
import StatusEnum = Deposits.StatusEnum;

export interface DepositDataFile {
  resId?: string;
  creation?: ChangeInfo;
  lastUpdate?: ChangeInfo;
  packageId?: string;
  sourceData?: string;
  relativeLocation?: string;
  finalData?: string;
  fileSize?: number;
  status?: StatusEnum;
  statusMessage?: string;
  dataCategory?: string; // Enum get with ApiActionEnum.LIST_DATA_CATEGORY
  dataType?: string; // Enum get with ApiActionEnum.LIST_DATA_TYPE
  complianceLevel?: string;
  fileFormat?: FileFormat;
  virusCheck?: any;
  fileName?: string;
  initialPath?: string;
  smartSize?: string;
  dataFile?: any; // To check
  checksums?: Checksum[];
  available?: boolean;
}
