import {DepositDataFile} from "@app/features/deposit/models/deposit-data-file.model";
import {CompositionAction, CompositionNameSpace, TypeDefaultAction} from "solidify-frontend";
import {LocalStateEnum} from "../../../../shared/enums/local-state.enum";

const state = LocalStateEnum.deposit_dataFile;

export namespace DepositDataFileAction {
  @TypeDefaultAction(state)
  export class GetAll extends CompositionAction.GetAll {
  }

  @TypeDefaultAction(state)
  export class GetAllSuccess extends CompositionAction.GetAllSuccess<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class GetAllFail extends CompositionAction.GetAllFail {
  }

  @TypeDefaultAction(state)
  export class Update extends CompositionAction.Update<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class UpdateSuccess extends CompositionAction.UpdateSuccess<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class UpdateFail extends CompositionAction.UpdateFail<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class Create extends CompositionAction.Create<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class CreateSuccess extends CompositionAction.CreateSuccess<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class CreateFail extends CompositionAction.CreateFail<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class Delete extends CompositionAction.Delete<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class DeleteSuccess extends CompositionAction.DeleteSuccess<DepositDataFile> {
  }

  @TypeDefaultAction(state)
  export class DeleteFail extends CompositionAction.DeleteFail<DepositDataFile> {
  }

  export class ResumeDataFile {
    static readonly type: string = `[${state}] Resume Data File`;

    constructor(public parentId: string, public dataFile: DepositDataFile) {
    }
  }
}

export const depositDataFileActionNameSpace: CompositionNameSpace = DepositDataFileAction;
