import {HttpClientTestingModule} from "@angular/common/http/testing";
import {NO_ERRORS_SCHEMA} from "@angular/core";
import {async, ComponentFixture, TestBed} from "@angular/core/testing";
import {ReactiveFormsModule} from "@angular/forms";
import {SharedSearchPresentational} from "@app/shared/components/presentationals/shared-search/shared-search.presentational";
import {TranslateService} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {MockTranslatePipe} from "../../../../../../testhelpers/mock-translate.pipe";
import {MockTranslateService} from "../../../../../../testhelpers/mock-translate.service";

import {HomeSearchRoutable} from "./home-search.routable";

describe("HomeSearchRoutable", () => {
  let component: HomeSearchRoutable;
  let fixture: ComponentFixture<HomeSearchRoutable>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [ ReactiveFormsModule, HttpClientTestingModule, NgxsModule.forRoot([]) ],
      declarations: [ HomeSearchRoutable, SharedSearchPresentational, MockTranslatePipe ],
      providers: [
        {
          provide: TranslateService,
          useClass: MockTranslateService
        }
        ],
      schemas: [ NO_ERRORS_SCHEMA ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(HomeSearchRoutable);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
