import {NgModule} from "@angular/core";
import {HomeRoutingModule} from "@app/features/home/home-routing.module";
import {HomeState} from "@app/features/home/stores/home.state";
import {HomeSearchRoutable} from "@app/features/home/components/routables/home-search/home-search.routable";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";

const views = [
  HomeSearchRoutable,
];
const containers = [];
const components = [];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...components,
  ],
  imports: [
    SharedModule,
    HomeRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      HomeState,
    ]),
  ],
  exports: [
    ...views,
  ],
  providers: [],
})
export class HomeModule {
}
