import {SearchScopeEnum} from "@app/features/home/enums/search-scope.enum";
import {ArchiveMetadata} from "@app/shared/models/business/archive-metadata.model";
import {CollectionTyped, QueryParameters} from "solidify-frontend";

export class AccessChangeQueryParameters {
  static readonly type: string = "[Access] Change Query Parameters";

  constructor(public queryParameters?: QueryParameters) {
  }
}

export class ChangeSearchScope {
  static readonly type: string = "[Access] Change Filter";

  constructor(public searchScope: SearchScopeEnum) {
  }

}

export class AccessSearch {
  static readonly type: string = "[Access] Search";

  constructor(public resetPagination: boolean, public search?: string, public queryParameters?: QueryParameters) {
  }
}

export class AccessSearchSuccess {
  static readonly type: string = "[Access] Search Success";

  constructor(public list?: CollectionTyped<ArchiveMetadata> | null | undefined) {
  }
}

export class AccessSearchFail {
  static readonly type: string = "[Access] Search Fail";
}

