import {ChangeDetectionStrategy, Component, OnInit} from "@angular/core";
import {OrganizationalUnits, PreservationPolicies, SubmissionPolicies} from "@app/generated-api";
import {LocalStateEnum} from "../../../../../shared/enums/local-state.enum";
import {LocalStateModel} from "@app/shared/models/localStateModel";
import {orgUnitActionNameSpace} from "@app/shared/stores/organizational-unit/organizational-unit.action";
import {OrganizationalUnitStateModel} from "@app/shared/stores/organizational-unit/organizational-unit.state";
import {SharedAbstractCreateRoutable} from "@app/shared/components/routables/shared-abstract-create/shared-abstract-create.routable";
import {Select, Store} from "@ngxs/store";
import {Observable} from "rxjs";

@Component({
  selector: "dlcm-orgunit-create-routable",
  templateUrl: "./orgunit-create.presentational.html",
  styleUrls: ["../../../../../shared/components/routables/shared-abstract-create/shared-abstract-create.routable.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class OrgunitCreatePresentational extends SharedAbstractCreateRoutable<OrganizationalUnits, OrganizationalUnitStateModel> implements OnInit {
  @Select((state: LocalStateModel) => state[LocalStateEnum.shared][LocalStateEnum.submissionPolicy].list) listSubmissionPoliciesObs: Observable<SubmissionPolicies[]>;
  @Select((state: LocalStateModel) => state[LocalStateEnum.shared][LocalStateEnum.preservationPolicy].list) listPreservationPoliciesObs: Observable<PreservationPolicies[]>;

  constructor(protected store: Store) {
    super(store, LocalStateEnum.organizationalUnit, orgUnitActionNameSpace);
  }

  ngOnInit(): void {
    super.ngOnInit();
  }
}
