import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {OrgunitCreatePresentational} from "@app/features/organizational-unit/components/routables/orgunit-create/orgunit-create.presentational";
import {OrgunitDetailPresentational} from "@app/features/organizational-unit/components/routables/orgunit-detail/orgunit-detail.presentational";
import {OrgunitEditPresentational} from "@app/features/organizational-unit/components/routables/orgunit-edit/orgunit-edit.presentational";
import {OrgunitListPresentational} from "@app/features/organizational-unit/components/routables/orgunit-list/orgunit-list.presentational";
import {AppRoutesEnum, OrganizationalUnitRoutesEnum} from "@app/shared/enums/routes.enum";
import {TRANSLATE} from "solidify-frontend";

const routes: Routes = [
  {
    path: "",
    component: OrgunitListPresentational,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.list"),
    },
  },
  {
    path: OrganizationalUnitRoutesEnum.detail + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: OrgunitDetailPresentational,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.detail"),
    },
  },
  {
    path: OrganizationalUnitRoutesEnum.edit + AppRoutesEnum.separator + AppRoutesEnum.paramId,
    component: OrgunitEditPresentational,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.edit"),
    },
  },
  {
    path: OrganizationalUnitRoutesEnum.create,
    component: OrgunitCreatePresentational,
    data: {
      breadcrumb: TRANSLATE("breadcrumb.organizationalUnit.create"),
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class OrganizationalUnitRoutingModule {
}
