import {NgModule} from "@angular/core";
import {OrgunitFormPresentational} from "@app/features/organizational-unit/components/presentationals/orgunit-form/orgunit-form.presentational";
import {OrganizationalUnitRoutingModule} from "@app/features/organizational-unit/organizational-unit-routing.module";
import {SharedModule} from "@app/shared/shared.module";
import {TranslateModule} from "@ngx-translate/core";
import {NgxsModule} from "@ngxs/store";
import {OrgunitDeleteDialog} from "./components/dialogs/orgunit-delete/orgunit-delete.dialog";
import {OrgunitCreatePresentational} from "./components/routables/orgunit-create/orgunit-create.presentational";
import {OrgunitDetailPresentational} from "./components/routables/orgunit-detail/orgunit-detail.presentational";
import {OrgunitEditPresentational} from "./components/routables/orgunit-edit/orgunit-edit.presentational";
import {OrgunitListPresentational} from "./components/routables/orgunit-list/orgunit-list.presentational";

const views = [
  OrgunitDetailPresentational,
  OrgunitListPresentational,
  OrgunitCreatePresentational,
  OrgunitEditPresentational,
];
const containers = [];
const dialogs = [
  OrgunitDeleteDialog,
];
const components = [
  OrgunitFormPresentational,
];

@NgModule({
  declarations: [
    ...views,
    ...containers,
    ...dialogs,
    ...components,
  ],
  imports: [
    SharedModule,
    OrganizationalUnitRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([]),
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...views,
  ],
  providers: [],
})
export class OrganizationalUnitModule {
}
