import {ChangeDetectionStrategy, Component, EventEmitter, Input, Output} from "@angular/core";
import {SearchScopeEnum} from "@app/features/home/enums/search-scope.enum";
import {SharedAbstractPresentational} from "@app/shared/components/presentationals/shared-abstract/shared-abstract.presentational";
import {BehaviorSubject, Observable} from "rxjs";
import {ObservableUtil} from "solidify-frontend";

@Component({
  selector: "dlcm-shared-search-filter",
  templateUrl: "./shared-search-scope.presentational.html",
  styleUrls: ["./shared-search-scope.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class SharedSearchScopePresentational extends SharedAbstractPresentational {
  @Input()
  searchScope: SearchScopeEnum;

  private readonly _searchScopeBS: BehaviorSubject<SearchScopeEnum | undefined> = new BehaviorSubject<SearchScopeEnum | undefined>(undefined);

  @Output("searchScopeChange")
  readonly searchScopeObs: Observable<SearchScopeEnum | undefined> = ObservableUtil.asObservable(this._searchScopeBS);

  get searchScopeEnum(): typeof SearchScopeEnum {
    return SearchScopeEnum;
  }

  changeSearchScope(searchScope: SearchScopeEnum): void {
    this._searchScopeBS.next(searchScope);
  }
}
