import {OnInit} from "@angular/core";
import {SharedAbstractRoutable} from "@app/shared/components/routables/shared-abstract/shared-abstract.routable";
import {LocalStateEnum} from "../../../enums/local-state.enum";
import {Store} from "@ngxs/store";
import {ResourceStateModel, ResourceNameSpace, ResourceActionHelper, ModelFormControlEvent} from "solidify-frontend";

export abstract class SharedAbstractCreateRoutable<T, U extends ResourceStateModel<T>> extends SharedAbstractRoutable implements OnInit {
  protected constructor(protected store: Store,
                        private state: LocalStateEnum,
                        private resourceActionNameSpace: ResourceNameSpace) {
    super();
  }

  create(modelFormControlEvent: ModelFormControlEvent<T>): void {
    this.store.dispatch(ResourceActionHelper.create(this.resourceActionNameSpace, modelFormControlEvent));
  }

  ngOnInit(): void {
    super.ngOnInit();
    this.store.dispatch(ResourceActionHelper.loadResource(this.resourceActionNameSpace));
  }
}
