import {DepositStateModel} from "@app/features/deposit/stores/deposit.state";
import {AccessStateModel} from "@app/features/home/stores/home.state";
import {LocalStateEnum} from "../enums/local-state.enum";
import {OrganizationalUnitStateModel} from "@app/shared/stores/organizational-unit/organizational-unit.state";
import {SharedStateModel} from "@app/shared/stores/shared.state";
import {AppStateModel} from "@app/stores/app.state";
import {RouterStateModel} from "@ngxs/router-plugin";
import {StateModel} from "solidify-frontend";

export class LocalStateModel implements StateModel {
  [LocalStateEnum.router]: RouterStateModel;
  [LocalStateEnum.application]: AppStateModel;
  [LocalStateEnum.deposit]: DepositStateModel;
  [LocalStateEnum.access]: AccessStateModel;
  [LocalStateEnum.organizationalUnit]: OrganizationalUnitStateModel;
  [LocalStateEnum.shared]: SharedStateModel;
}
