import {Languages} from "@app/generated-api";
import {AdminResourceApiEnum} from "@app/shared/enums/api.enum";
import {languageActionNameSpace} from "@app/shared/stores/language/language.action";
import {Actions, State, Store} from "@ngxs/store";
import {
  ApiService,
  defaultResourceStateInitValue,
  ResourceApiEnum,
  ResourceNameSpace,
  ResourceState,
  ResourceStateModel,
  NotificationService,
} from "solidify-frontend";
import {LocalStateEnum} from "../../enums/local-state.enum";

export interface LanguageStateModel extends ResourceStateModel<Languages> {
}

@State<LanguageStateModel>({
  name: LocalStateEnum.language,
  defaults: {
    ...defaultResourceStateInitValue,
  },
})
export class LanguageState extends ResourceState<Languages> {
  constructor(protected apiService: ApiService,
              protected store: Store,
              protected notificationService: NotificationService,
              protected actions$: Actions) {
    super(apiService, store, notificationService, actions$);
  }

  defineState(): string {
    return LocalStateEnum.language;
  }

  defineResourceNameSpace(): ResourceNameSpace {
    return languageActionNameSpace;
  }

  defineUrlResource(): ResourceApiEnum {
    return AdminResourceApiEnum.languages;
  }
}
