import {Licenses} from "@app/generated-api";
import {ApiResourceNameEnum} from "@app/shared/enums/api-resource-name.enum";
import {AdminResourceApiEnum} from "@app/shared/enums/api.enum";
import {LocalStateEnum} from "@app/shared/enums/local-state.enum";
import {licenseActionNameSpace} from "@app/shared/stores/license/license.action";
import {Actions, State, Store} from "@ngxs/store";
import {
  ApiService,
  defaultResourceStateInitValue,
  NotificationService,
  ResourceApiEnum,
  ResourceNameSpace,
  ResourceState,
  ResourceStateModel,
} from "solidify-frontend";

export interface LicenseStateModel extends ResourceStateModel<Licenses> {
}

@State<LicenseStateModel>({
  name: LocalStateEnum.license,
  defaults: {
    ...defaultResourceStateInitValue,
  },
})
export class LicenseState extends ResourceState<Licenses> {
  constructor(protected apiService: ApiService,
              protected store: Store,
              protected notificationService: NotificationService,
              protected actions$: Actions) {
    super(apiService, store, notificationService, actions$);
  }

  defineState(): LocalStateEnum {
    return LocalStateEnum.license;
  }

  defineResourceNameSpace(): ResourceNameSpace {
    return licenseActionNameSpace;
  }

  defineSubResource(): ApiResourceNameEnum[] {
    return [];
  }

  defineUrlResource(): ResourceApiEnum {
    return AdminResourceApiEnum.licenses;
  }
}
